> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shieldリストを更新

> Shieldリストを更新します。

<Note>
  「[Box SDKのバージョニング戦略](/ja/guides/tooling/sdks/sdk-versioning/)について詳しく学ぶ。」
</Note>


## OpenAPI

````yaml box-openapi-v2025.0-jp.json PUT /shield_lists/{shield_list_id}
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 92c221bf9d
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: アーカイブを管理するために使用される、一連のエンドポイント。
    x-box-tag: archives
  - name: Enterprise構成
    description: 管理者がBox製品の動作を制御するために操作するEnterprise構成。
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Genは、ドキュメントを自動的に生成するために使用されます。
    x-box-tag: docgen
  - name: Box Doc Genテンプレート
    description: Doc Genテンプレートは、ドキュメントを生成するための入力として使用されます。
    x-box-tag: docgen_template
  - name: 外部ユーザー
    description: 外部ユーザーは、自社に所属していないコラボレータです。
    x-box-tag: external_users
  - name: Box Hubs
    description: Box Hubsを管理するために使用される、一連のエンドポイント。
    x-box-tag: hubs
  - name: Box Hubコラボレーション
    description: Box Hub内のコラボレーションを管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_collaborations
  - name: Box Hubドキュメント
    description: Box Hubドキュメント要素 (ページとコンテンツブロック) を取得するために使用される、一連のエンドポイント。
    x-box-tag: hub_document
  - name: Box Hubの項目
    description: Box Hub内の項目を管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_items
  - name: Shieldリスト
    description: Shieldリストを使用すると、管理者は、さまざまなShieldスマートアクセスルールや脅威検出ルールで共有される項目のリストを作成できます。
    x-box-tag: shield_lists
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /shield_lists/{shield_list_id}:
    put:
      tags:
        - Shieldリスト
      summary: Shieldリストを更新
      description: Shieldリストを更新します。
      operationId: put_shield_lists_id_v2025.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
        - name: shield_list_id
          in: path
          description: >-
            Shieldリストを表す一意の識別子。ShieldリストのIDは、企業のShieldリストをすべて取得するエンドポイントからのレスポンスで確認できます。
          required: true
          schema:
            type: string
          example: '90fb0e17-c332-40ed-b4f9-fa8908fbbb24 '
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShieldListsUpdate'
      responses:
        '200':
          description: Shieldリストオブジェクトを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShieldList'
        '404':
          description: Shieldリストが見つかりませんでした。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '409':
          description: この名前のShieldリストがすでに存在します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: Shieldリストを更新
          source: >-
            curl -i -X PUT
            "https://api.box.com/2.0/shield_lists/90fb0e17-c332-40ed-b4f9-fa8908fbbb24"
            \
                 -H "box-version: 2025.0" \
                 -H "authorization: Bearer <ACCESS_TOKEN>" \
                 -H "content-type: application/json" \
                 -d '{
                   "name": "My Shield List",
                   "description": "Updated description",
                   "content": {
                     "type": "country",
                     "country_codes": ["US"]
                   }
                 }'
        - lang: dotnet
          label: Shieldリストを更新
          source: >-
            await
            client.ShieldLists.UpdateShieldListByIdV2025R0Async(shieldListId:
            shieldListCountry.Id, requestBody: new
            ShieldListsUpdateV2025R0(name: shieldListCountryName, content: new
            ShieldListContentCountryV2025R0(type:
            ShieldListContentCountryV2025R0TypeField.Country, countryCodes:
            Array.AsReadOnly(new [] {"US"}))) { Description = "Updated
            description" });
        - lang: java
          label: Shieldリストを更新
          source: >-
            client.getShieldLists().updateShieldListByIdV2025R0(shieldListCountry.getId(),
            new ShieldListsUpdateV2025R0.Builder(shieldListCountryName, new
            ShieldListContentCountryV2025R0.Builder(Arrays.asList("US")).type(ShieldListContentCountryV2025R0TypeField.COUNTRY).build()).description("Updated
            description").build())
        - lang: node
          label: Shieldリストを更新
          source: >-
            await
            client.shieldLists.updateShieldListByIdV2025R0(shieldListCountry.id,
            {
              name: shieldListCountryName,
              description: 'Updated description',
              content: new ShieldListContentCountryV2025R0({
                type: 'country' as ShieldListContentCountryV2025R0TypeField,
                countryCodes: ['US'],
              }),
            } satisfies ShieldListsUpdateV2025R0);
        - lang: python
          label: Shieldリストを更新
          source: |-
            client.shield_lists.update_shield_list_by_id_v2025_r0(
                shield_list_country.id,
                shield_list_country_name,
                ShieldListContentCountryV2025R0(
                    type=ShieldListContentCountryV2025R0TypeField.COUNTRY, country_codes=["US"]
                ),
                description="Updated description",
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    ShieldListsUpdate:
      description: Shieldリスト更新リクエストのスキーマ。
      type: object
      properties:
        name:
          description: Shieldリストの名前。
          type: string
          example: My Shield List
        description:
          description: Shieldリストの説明 (省略可)。
          type: string
          example: A list of things that are shielded
        content:
          allOf:
            - $ref: '#/components/schemas/ShieldListContentRequest'
            - description: このShieldリストの要素の種類を指定し、要素自体を含めます。公開APIで統合のShieldリストを更新することはできません。
      required:
        - name
        - content
      title: Shieldリスト更新リクエストを作成
      x-box-tag: shield_lists
    ShieldList:
      description: ShieldリストのStandard版の表示。
      type: object
      properties:
        id:
          description: Shieldリストの一意の識別子。
          type: string
          example: 90fb0e17-c332-40ed-b4f9-fa8908fbbb24
        type:
          description: オブジェクトのタイプ。
          type: string
          example: shield_list
        name:
          description: Shieldリストの名前。
          type: string
          example: Shield List Name
        enterprise:
          allOf:
            - $ref: '#/components/schemas/EnterpriseReference'
            - description: このリストが属している企業。
        description:
          description: Shieldリストの説明。
          type: string
          example: A list of things that are shielded
        created_at:
          description: このShieldリストが作成された日時を示すISO日時文字列。
          type: string
          format: date-time
          example: '2025-01-13T15:31:01.896Z'
        updated_at:
          description: このShieldリストが更新された日時を示すISO日時文字列。
          type: string
          format: date-time
          example: '2025-01-13T15:31:01.896Z'
        content:
          allOf:
            - $ref: '#/components/schemas/ShieldListContent'
            - description: このShieldリストの要素のタイプを指定し、要素自体を含めます。
      required:
        - id
        - type
        - name
        - content
        - enterprise
        - created_at
        - updated_at
      title: Shieldリスト
      x-box-resource-id: shield_list_v2025.0
      x-box-tag: shield_lists
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2025.0
    ShieldListContentRequest:
      description: Shieldリストのコンテンツの表示。
      type: object
      oneOf:
        - $ref: '#/components/schemas/ShieldListContentCountry'
        - $ref: '#/components/schemas/ShieldListContentDomain'
        - $ref: '#/components/schemas/ShieldListContentEmail'
        - $ref: '#/components/schemas/ShieldListContentIp'
      title: リクエストに対するShieldリストのコンテンツ
    EnterpriseReference:
      description: 他のリソース内にネストされたときに使用される企業への参照。
      type: object
      properties:
        id:
          description: この会社の一意の識別子。
          type: string
          example: '1910967'
        type:
          description: 値は常に`enterprise`になります。
          type: string
          example: enterprise
          enum:
            - enterprise
          nullable: false
      title: 企業の参照
    ShieldListContent:
      description: Shieldリストのコンテンツの表示。
      type: object
      oneOf:
        - $ref: '#/components/schemas/ShieldListContentCountry'
        - $ref: '#/components/schemas/ShieldListContentDomain'
        - $ref: '#/components/schemas/ShieldListContentEmail'
        - $ref: '#/components/schemas/ShieldListContentIp'
        - $ref: '#/components/schemas/ShieldListContentIntegration'
      title: Shieldリストのコンテンツ
    ShieldListContentCountry:
      description: 国のデータを含むShieldリストのコンテンツの表示。
      type: object
      properties:
        type:
          description: Shieldリスト内のコンテンツのタイプ。
          type: string
          example: country
          enum:
            - country
        country_codes:
          description: 国コードの値のリスト。
          type: array
          items:
            type: string
          example:
            - US
            - PL
          maximum: 1000
          minimum: 1
          uniqueItems: true
      required:
        - type
        - country_codes
      title: Shieldリストのコンテンツ (国)
      x-box-resource-id: shield_list_content__country_v2025.0
      x-box-tag: shield_lists
    ShieldListContentDomain:
      description: ドメインのデータを含むShieldリストのコンテンツの表示。
      type: object
      properties:
        type:
          description: Shieldリスト内のコンテンツのタイプ。
          type: string
          example: domain
          enum:
            - domain
        domains:
          description: ドメインのリスト。
          type: array
          items:
            type: string
          example:
            - box.com
            - example.com
          maximum: 100000
          minimum: 1
          uniqueItems: true
      required:
        - type
        - domains
      title: Shieldリストのコンテンツ (ドメイン)
      x-box-resource-id: shield_list_content__domains_v2025.0
      x-box-tag: shield_lists
    ShieldListContentEmail:
      description: メールアドレスのデータを含むShieldリストのコンテンツの表示。
      type: object
      properties:
        type:
          description: Shieldリスト内のコンテンツのタイプ。
          type: string
          example: email
          enum:
            - email
        email_addresses:
          description: メールアドレスのリスト。
          type: array
          items:
            type: string
          example:
            - example1@box.com
            - example2@gmail.com
          maximum: 100000
          minimum: 1
          uniqueItems: true
      required:
        - type
        - email_addresses
      title: Shieldリストのコンテンツ (メールアドレス)
      x-box-resource-id: shield_list_content__email_v2025.0
      x-box-tag: shield_lists
    ShieldListContentIp:
      description: IPアドレスのデータを含むShieldリストのコンテンツの表示。
      type: object
      properties:
        type:
          description: Shieldリスト内のコンテンツのタイプ。
          type: string
          example: ip
          enum:
            - ip
        ip_addresses:
          description: IPアドレスとCIDRのリスト。
          type: array
          items:
            type: string
          example:
            - 127.0.0.1
            - 80.12.12.12/24
          maximum: 100000
          minimum: 1
          uniqueItems: true
      required:
        - type
        - ip_addresses
      title: Shieldリストのコンテンツ (IP)
      x-box-resource-id: shield_list_content__ip_v2025.0
      x-box-tag: shield_lists
    ShieldListContentIntegration:
      description: 統合のデータを含むShieldリストのコンテンツの表示。
      type: object
      properties:
        type:
          description: Shieldリスト内のコンテンツのタイプ。
          type: string
          example: integration
          enum:
            - integration
        integrations:
          description: 統合のリスト。
          type: array
          items:
            type: object
            properties:
              id:
                description: 統合のID。
                type: string
                example: 505e40b5-5d04-446a-9268-72a0ccc13669
          minimum: 1
          uniqueItems: true
      required:
        - type
        - integrations
      title: Shieldリストのコンテンツ (統合)
      x-box-resource-id: shield_list_content__integration_v2025.0
      x-box-tag: shield_lists
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````